# PhysicsService

PhysicsService : `Instance`

## Overview

PhysicsService는 물리 연산에서 객체 간 충돌 규칙을 세밀하게 제어하는 서비스로, 충돌 그룹을 생성하고 각 그룹 간의 상호작용 여부를 설정할 수 있습니다.

예를 들어, 플레이어의 레벨에 따라 특정 벽을 통과할 수 있도록 설정하는 방식으로 활용할 수 있습니다.

## Properties

## Methods

## Events

## See also

{% content-ref url="<https://github.com/overdare/creator-guide/blob/main/manual/studio-manual/game-development/collision-groups.md>" %}
<https://github.com/overdare/creator-guide/blob/main/manual/studio-manual/game-development/collision-groups.md>
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/physicsservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
